You are here

Minimum version requirement question (new dev here)

3 posts / 0 new
Last post
publicdomainvic
publicdomainvic's picture
Offline
Last seen: 10 months 1 week ago
Joined: 2021-07-31 15:58
Minimum version requirement question (new dev here)

Hello & good day! New fellow developer here with some quick questions Smile

Most of my apps never write to registry and are -in general- contained into a single folder (ApplicationName.exe + a .dll here & there).

As I get it, the gist of publishing around is to make the application work into your installer… correct? i.e. only proper submissions using portableapps.com format.

Is there a quality vetting of some sort? I’m always willing to help the online community so there are many 0.x apps that never make it to version 1.0 either because the requesting user “evaporates” or simply because they are feature-complete but other (newer) releases take the spotlight.

Should all submitted apps be feature-complete and user-tested for a certain time prior to inclusion? Do these 0.x (zero-day) apps belong into the Beta testing board? (at least until users say they’re good to go).

I ask because most of the programs for the users I help tend to end up happily on v0.1.0 to version 0.5.0…

Thanks from a willing-to-integrate,
Vic

publicdomainvic
publicdomainvic's picture
Offline
Last seen: 10 months 1 week ago
Joined: 2021-07-31 15:58
Succinct

Hello! Perhaps that was a mouthful of a question Smile

What I really want to know is: Are "v0.x" apps welcome? (i.e. 0.1.0, 0.2.0...)

This answer is relevant as I plan on releasing apps "as is" for further user testing. Thank you!

Call me Vic!

Ken Herbert
Ken Herbert's picture
Offline
Last seen: 1 hour 39 min ago
DeveloperModerator
Joined: 2010-05-25 18:19
It depends on the app

Version numbers are sometimes meaningless, for example Cherrrytree is currently numbered 0.99.40, Dia is 0.97.2, and Mp3splt-gtk is 0.9.2.

We care about the stability, functionality, and usability of the app.

Log in or register to post comments